libosmovty 1.13.1.1-afb4 Osmocom VTY library

Data Fields
cmd_element Struct Reference
VTY Command

Structure of a command element. More...

`#include <command.h>`

## Data Fields
const char * | string
| Command specification by string. More...
int(* | func )(struct cmd_element *, struct vty *, int, const char *[])
const char * | doc
| Documentation of this command. More...
int | daemon
| Daemon to which this command belong. More...
vector | strvec
| Pointing out each description vector. More...
unsigned int | cmdsize
| Command index count. More...
char * | config
| Configuration string. More...
vector | subconfig
| Sub configuration string. More...
unsigned char | attr
| Command attributes (global) More...
unsigned int | usrattr
| Command attributes (program specific) More...

## Detailed Description

Structure of a command element.

## Field Documentation

## ◆ attr

unsigned char cmd_element::attr

Command attributes (global)

Referenced by cmd_describe_command_real(), cmd_flag_mask(), cmd_gflag_mask(), gDEFUN(), install_lib_element(), install_lib_element_ve(), logging_vty_add_deprecated_subsys(), node_flag_mask(), vty_dump_element(), and vty_dump_nodes().

## ◆ cmdsize

unsigned int cmd_element::cmdsize

Command index count.

Referenced by cmd_execute_command_real(), cmd_execute_command_strict(), and install_element().

## ◆ config

char* cmd_element::config

Configuration string.

## ◆ daemon

int cmd_element::daemon

Daemon to which this command belong.

Referenced by cmd_execute_command_real(), and cmd_execute_command_strict().

## ◆ doc

const char* cmd_element::doc

Documentation of this command.

Referenced by gen_logging_level_cmd_strs(), gen_vty_logp_cmd_strs(), install_element(), and logging_vty_add_deprecated_subsys().

## ◆ func

int(* cmd_element::func) (struct cmd_element *, struct vty *, int, const char *[])

Referenced by cmd_execute_command_real(), cmd_execute_command_strict(), logging_vty_add_deprecated_subsys(), and vty_down_level().

## ◆ string

const char* cmd_element::string

Command specification by string.

Referenced by check_element_exists(), cmd_desc_str(), cmd_execute_command_real(), cmd_make_strvec2(), cmp_node(), gDEFUN(), gen_logging_level_cmd_strs(), gen_vty_logp_cmd_strs(), install_element(), log_deprecated_func(), logging_vty_add_deprecated_subsys(), and vty_dump_element().

## ◆ strvec

vector cmd_element::strvec

Pointing out each description vector.

Referenced by cmd_complete_command_real(), cmd_describe_command_real(), cmd_execute_command_real(), cmd_execute_command_strict(), cmd_filter(), cmd_make_descvec(), cmd_make_strvec(), cmd_make_strvec2(), install_element(), is_cmd_ambiguous(), sort_node(), and vty_dump_element().

## ◆ subconfig

vector cmd_element::subconfig

Sub configuration string.

## ◆ usrattr

unsigned int cmd_element::usrattr

Command attributes (program specific)

Referenced by cmd_flag_mask(), node_flag_mask(), and vty_dump_element().

The documentation for this struct was generated from the following file:

- include/osmocom/vty/command.h